Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Interface PersistenceHelperPlugin

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface PersistenceHelperPlugin

Interface for Persistence Helper Plugin A specific driver must be written for each type of persistence cache. This is not a required optimization for CMP or BMP.

Method Summary
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, Object o, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, Object o, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, Object key, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, Object key, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, BelongingImpl belonging)` Deprecated See BEA Commerce product offering
`SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`SmartCollectionReference` | `createSmartCollectionReference(String attributeIdentifier, SmartCollectionReference targetInstance, SessionImpl sessionImpl)` Deprecated See BEA Commerce product offering
`SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, BelongingImpl belonging)` Deprecated See BEA Commerce product offering
`SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`SmartEntityReference` | `createSmartEntityReference(String attributeIdentifier, SmartEntityReference targetInstance, SessionImpl sessionImpl)` Deprecated See BEA Commerce product offering
`SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, BelongingImpl belonging)` Deprecated See BEA Commerce product offering
`SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`SmartMapReference` | `createSmartMapReference(String attributeIdentifier, SmartMapReference targetInstance, SessionImpl sessionImpl)` Deprecated See BEA Commerce product offering
`Belonging` | `doRelationalBinding(String attributeIdentifier, Belonging value, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`Belonging` | `doRelationalBinding(String attributeIdentifier, Belonging value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`void` | `doRelationalBinding(String attributeIdentifier, javax.ejb.EJBObject ejbObject, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`void` | `doRelationalBinding(String attributeIdentifier, javax.ejb.EJBObject ejbObject, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Object` | `doRelationalBinding(String attributeIdentifier, Object value, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`Object` | `doRelationalBinding(String attributeIdentifier, Object value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Belonging` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging value, Object mapKey, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`Belonging` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging value, Object mapKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`void` | `doRelationalBindingWithMapKey(String attributeIdentifier, javax.ejb.EJBObject ejbObject, Object mapKey, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`void` | `doRelationalBindingWithMapKey(String attributeIdentifier, javax.ejb.EJBObject ejbObject, Object mapKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object value, Object mapKey, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Deprecated See BEA Commerce product offering
`Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object value, Object mapKey, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Belonging` | `synchronizeWithCache(Belonging value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Object` | `synchronizeWithCache(Object value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Belonging` | `synchronizeWithCache(String attributeIdentifier, Belonging value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Collection` | `synchronizeWithCache(String attributeIdentifier, Collection collection, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Map` | `synchronizeWithCache(String attributeIdentifier, Map map, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering
`Object` | `synchronizeWithCache(String attributeIdentifier, Object value, EntityImpl entityImpl)` Deprecated See BEA Commerce product offering

Method Detail

### synchronizeWithCache

    Belonging synchronizeWithCache(String attributeIdentifier,
                                   Belonging value,
                                   EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Optimize the dependent object in the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    Object synchronizeWithCache(String attributeIdentifier,
                                Object value,
                                EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Optimize the dependent object in the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    Collection synchronizeWithCache(String attributeIdentifier,
                                    Collection collection,
                                    EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Optimize the dependent object in the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    Map synchronizeWithCache(String attributeIdentifier,
                             Map map,
                             EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Optimize the dependent object in the persistence cache

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    Belonging synchronizeWithCache(Belonging value,
                                   EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Optimize the dependent object in the persistence cache

  Parameters
    `value` - instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    Object synchronizeWithCache(Object value,
                                EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  Optimize the dependent object in the persistence cache

  Parameters
    `value` - instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBinding

    Belonging doRelationalBinding(String attributeIdentifier,
                                  Belonging value,
                                  EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBinding

    Object doRelationalBinding(String attributeIdentifier,
                               Object value,
                               EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBinding

    void doRelationalBinding(String attributeIdentifier,
                             javax.ejb.EJBObject ejbObject,
                             EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param ejbObject instance of a remote interface * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    Belonging doRelationalBindingWithMapKey(String attributeIdentifier,
                                            Belonging value,
                                            Object mapKey,
                                            EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                         Object value,
                                         Object mapKey,
                                         EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    void doRelationalBindingWithMapKey(String attributeIdentifier,
                                       javax.ejb.EJBObject ejbObject,
                                       Object mapKey,
                                       EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param ejbObject instance of a remote interface * @param entityImpl implementation of an entity bean

### doRelationalBinding

    Belonging doRelationalBinding(String attributeIdentifier,
                                  Belonging value,
                                  javax.ejb.EJBObject parent,
                                  BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBinding

    Object doRelationalBinding(String attributeIdentifier,
                               Object value,
                               javax.ejb.EJBObject parent,
                               BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBinding

    void doRelationalBinding(String attributeIdentifier,
                             javax.ejb.EJBObject ejbObject,
                             javax.ejb.EJBObject parent,
                             BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param ejbObject instance of a remote interface * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    Belonging doRelationalBindingWithMapKey(String attributeIdentifier,
                                            Belonging value,
                                            Object mapKey,
                                            javax.ejb.EJBObject parent,
                                            BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                         Object value,
                                         Object mapKey,
                                         javax.ejb.EJBObject parent,
                                         BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### doRelationalBindingWithMapKey

    void doRelationalBindingWithMapKey(String attributeIdentifier,
                                       javax.ejb.EJBObject ejbObject,
                                       Object mapKey,
                                       javax.ejb.EJBObject parent,
                                       BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

  The dependent object will have additional information for object-relational mapping

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param ejbObject instance of a remote interface * @param entityImpl implementation of an entity bean

### createSmartEntityReference

    SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                    SmartEntityReference targetInstance,
                                                    EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

### createSmartMapReference

    SmartMapReference createSmartMapReference(String attributeIdentifier,
                                              SmartMapReference targetInstance,
                                              EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

### createSmartCollectionReference

    SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                            SmartCollectionReference targetInstance,
                                                            EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

### createSmartEntityReference

    SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                    SmartEntityReference targetInstance,
                                                    SessionImpl sessionImpl)

  Deprecated See BEA Commerce product offering

### createSmartMapReference

    SmartMapReference createSmartMapReference(String attributeIdentifier,
                                              SmartMapReference targetInstance,
                                              SessionImpl sessionImpl)

  Deprecated See BEA Commerce product offering

### createSmartCollectionReference

    SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                            SmartCollectionReference targetInstance,
                                                            SessionImpl sessionImpl)

  Deprecated See BEA Commerce product offering

### createSmartEntityReference

    SmartEntityReference createSmartEntityReference(String attributeIdentifier,
                                                    SmartEntityReference targetInstance,
                                                    BelongingImpl belonging)

  Deprecated See BEA Commerce product offering

### createSmartMapReference

    SmartMapReference createSmartMapReference(String attributeIdentifier,
                                              SmartMapReference targetInstance,
                                              BelongingImpl belonging)

  Deprecated See BEA Commerce product offering

### createSmartCollectionReference

    SmartCollectionReference createSmartCollectionReference(String attributeIdentifier,
                                                            SmartCollectionReference targetInstance,
                                                            BelongingImpl belonging)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    void clearRelationalBinding(String attributeIdentifier,
                                Collection collection,
                                EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    void clearRelationalBinding(String attributeIdentifier,
                                Map map,
                                EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    void clearRelationalBinding(String attributeIdentifier,
                                Collection collection,
                                Object o,
                                EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    void clearRelationalBinding(String attributeIdentifier,
                                Map map,
                                Object key,
                                EntityImpl entityImpl)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    void clearRelationalBinding(String attributeIdentifier,
                                Collection collection,
                                BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    void clearRelationalBinding(String attributeIdentifier,
                                Map map,
                                BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    void clearRelationalBinding(String attributeIdentifier,
                                Collection collection,
                                Object o,
                                BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    void clearRelationalBinding(String attributeIdentifier,
                                Map map,
                                Object key,
                                BelongingImpl belongingImpl)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved